Sonarqube upgrade from 9.2.4 to 9.9.4 LTS Developer version on-prem

Hey there.

You should follow the upgrade guide.

Yes.

Java 17 will need to be available to run the SonarQube server – and if not set as the default Java (JAVA_HOME), configured as SONAR_JAVA_PATH environment variable.

1 Like